Interface to In-Network Functions (I2INF): Problem Statement
Jaehoon Paul Jeong, Ed.
Department of Computer Science and Engineering
Sungkyunkwan University
2066 Seobu-Ro, Jangan-Gu
Suwon
Gyeonggi-Do
16419
Republic of Korea
+82 31 299 4957
+82 31 290 7996
pauljeong@skku.edu
http://iotlab.skku.edu/people-jaehoon-jeong.php
Yiwen Shen
Department of Computer Science and Engineering
Sungkyunkwan University
2066 Seobu-Ro, Jangan-Gu
Suwon
Gyeonggi-Do
16419
Republic of Korea
+82 31 299 4106
chrisshen@skku.edu
https://chrisshen.github.io
Yoseop Ahn
Department of Computer Science and Engineering
Sungkyunkwan University
2066 Seobu-Ro, Jangan-Gu
Suwon
Gyeonggi-Do
16419
Republic of Korea
+82 31 299 4106
ahnjs124@skku.edu
http://iotlab.skku.edu/people-Ahn-Yoseop.php
Younghan Kim
School of Electronic Engineering
Soongsil University
369, Sangdo-ro, Dongjak-gu
Seoul
06978
Republic of Korea
younghak@ssu.ac.kr
Elias P. Duarte Jr.
Department of Computer Science and Engineering
Federal University of Parana
Brazil
elias@inf.ufpr.br
22 July 2024
Operations and Management Area
Operations and Management Area Working Group
Internet-Draft
This document specifies the problem statement for Interface to In-Network Functions (I2INF) for a user's services involved in both networks and applications. In-Network Functions (INF) include In-Network Computing Functions (INCF) in Network Functions Virtualization (NFV) and Software-Defined Networking (SDN). They also include In-Network Application Functions (INAF) in Internet-of-Things (IoT) Devices, Software-Defined Vehicles (SDV), and Unmanned Aerial Vehicles (UAV). Intent-Based Networking (IBN) can be used to realize the user's services consisting of a combination of INFs in a target network. This document analyzes the gap for an IBN-based system to perform the user's service and specifies the requirements for the I2INF for intelligent service provisioning.

Introduction
Network softwarization is widely used for network services in network infrastructure (e.g., 5G mobile networks [TS-23.501]), clouding computing, and edge computing. This network softwarization is enabled by the technologies of Network Functions Virtualization (NFV) [ETSI-NFV][ETSI-NFV-Release-2] and Software-Defined Networking (SDN) [RFC7149]. In addition, Intent-Based Networking (IBN) [RFC9315][Survey-IBN-CST-2023] has been intensively researched and realized for the last five yearly. Many end-user devices such as smartphones and smart watches are connected to various Internet-of-Things (IoT) devices for customer-tailored services. Recently Software-Defined Vehicles (SDVs) [AUTOSAR-SDV][Eclipse-SDV][COVESA] have been spotlighted as the next-generation user devices after the smartphones. SDVs are intended to use the network softwarization technologies such as NFV and SDN. System components and applications in the SDVs are working in the form of containers in a cloud native environment (e.g., Kubernetes [Kubernetes]).
In this trend, the network automation and management has become more important to realize intelligent services for both end users and network operators [I-D.jeong-nmrg-ibn-network-management-automation]. For this network automation and management, an intent of a user (e.g., end user and network operator) in the form of either text or voice needs to be understood and processed by the service systems. Note that an intent is a declarative request for a specific goal rather than an imperative request having a series of configuration or commands for specific operations. This intent needs to be translated into a network policy and an application policy for the satisfaction of the user's service request. First, the network policy contains rules to execute the service's network demands in terms of Quality of Service (QoS) such as throughput and delay. Second, the application policy contains rules to execute the service's application demands in terms of functionality and timing. These translated network and application polices need to be delivered to appropriate Network Functions (NF) in network infrastructure, edge computing, and cloud computing. Thus, an intent of a user's service needs to be translated into both a network policy for a network infrastructure for a network service and an application policy for a client and a server for an application service.
For example, services for user applications (e.g., video conference) need to be accurately configured to and efficiently processed by not only Application Functions (AF) like a client (e.g., a video conference client) and a server (e.g., a video conference server), but also Network Functions (NF) (e.g., video broadcast coordinator) in Computing in the Network (COIN) [I-D.irtf-coinrg-use-cases][NFV-COIN].
As per definitions of Computing in the Network (COIN), a Programmable Network Device (PND) in an In-Network Computing (INC) environment can have multiple kinds of capabilities (i.e., features) [I-D.irtf-coinrg-coin-terminology] to work with other PNDs. PNDs from different product lines or vendors can have different capabilities for INC functions. When working togther for a COIN system, the PDNs may be unaware of capabilities of others. Therefore, it is necessary to define a standard interface for PNDs to exchange their capabilities.
For the configuration and monitoring of Application Functions (AFs) for applications and Network Functions (NFs) for network services for a given user's service, a standard framework with interfaces is required. There is no standard data model to describe the capabilities of AFs and NFs for a user-demanded service. Also, there is no standard data model for a registration interface that is used to register the capabilities of those AFs and NFs with a controller for the requested service. In addition, there are no standard interfaces to configure and monitor those AFs and NFs according to a user's intent. In the past, Interface to Network Security Functions (I2NSF) was standardized for the control and management of Network Security Services with Network Security Functions (NSFs) [RFC8329] [I-D.ietf-i2nsf-applicability]. This document takes advantage of the work of I2NSF for a more general control and management framework for intelligent services consisting of AFs and NFs.
This document specifies the problem statement and use cases for Interface to In-Network Functions (I2INF) for In-Network Functions (INFs) having different capabilities. The INFs consist of Network Functions (NFs) including PNDs and Application Functions (AFs) in order to compose a user's services. First of all, INFs include In-Network Computing Functions (INCF) as NFs within NFV and SDN [I-D.irtf-coinrg-use-cases]. Secondly, they also include In-Network Application Functions (INAF) as AFs within Internet-of-Things (IoT) Devices, Software-Defined Vehicles (SDV), and Unmanned Aerial Vehicles (UAV). Finally, Intent-Based Networking (IBN) can be realized with the network services consisting of a combination of INFs in a target network.

Terminology
This document uses the terminology described in [RFC9315], [RFC8329], [I-D.irtf-coinrg-coin-terminology], [I-D.irtf-coinrg-use-cases], [I-D.jeong-i2nsf-security-management-automation], [I-D.jeong-nmrg-ibn-network-management-automation], and [I-D.yang-i2nsf-security-policy-translation]. In addition, the following terms are defined below:
- Intent: A set of operational goals (that a network should meet) and outcomes (that a network is supposed to deliver) defined in a declarative manner without specifying how to achieve or implement them [RFC9315].
- Intent-Based System (IBS): A system that enforces an intent from a user (or administrator) into a target system (e.g., SDV). An intent can be expressed as a Natural Language (e.g., English) and can be translated into a policy (i.e., network policy and application policy) by a Natural Language Processing (NLP) [USENIX-ATC-Lumi][BERT] [Deep-Learning]. In this document, the intent can be translated into the corresponding high policy by an intent translator [I-D.jeong-i2nsf-security-management-automation]. The high-level policy can also be translated into the corresponding low-level policy by a policy translator [I-D.yang-i2nsf-security-policy-translation]. The low-level policy is dispatched to appropriate Service Functions (SFs). Through the monitoring of the SFs, the activity and performance of the SFs is monitored and analyzed. If needed, the rules of the high-level or low-level network policy are augmented or new rules are generated and configured to appropriate SFs.
- Mobile Object (MO): An object that is capable of moving by its power source with wireless communication capability such as 5G Vehicle-to-Everything (e.g., 5G V2X). It can be an Internet-of-Things (IoT) device, Software-Defined Vehicle (SDV) [AUTOSAR-SDV][Eclipse-SDV][COVESA], and Unmanned Aerial Vehicle (UAV). An MO is a Programmable Network Device (PND) [I-D.irtf-coinrg-coin-terminology] that can be reconfigured for different network requirements inside the MO.
- In-Network Computing Functions (INCF): The service functions that work for computing in the network infrastructure. They are a group of COIN programs [I-D.irtf-coinrg-coin-terminology] to provide required computing tasks and functions.
- In-Network Application Functions (INAF): The service functions that work for applications in Mobile Objects. They are a group of COIN programs [I-D.irtf-coinrg-coin-terminology] to provide required application tasks and functions.
- Interface to In-Network Functions (I2INF): Interfaces that are used between a pair of INFs for the interaction for configuration and monitoring.
- A Framework for Interface to In-Network Functions (I2INF): a framework that consists of components and interfaces to configure and monitor INFs for various services in the network infrastructure and MOs.

Problem Statement for Interface to In-Network Functions
This section specifies the Gap Analysis, Intent-Based Networking (IBN), and Problem Statement for Interface to In-Network Functions (I2INF). First, Figure 1 shows Wireless and Wired Networks in a Central Cloud for the I2INF framework having network entities and Mobile Objects (MO) to run network functions and application functions for a user's service, respectively. Second, Figure 2 shows a VNF-Consensus Architecture in an Edge Cloud in the I2INF framework to synchonize the SDN Controllers for flow table information in the same Edge Cloud [NFV-COIN]. These networks are assumed for the problem space for the I2INF.

Wireless and Wired Networks in Central Cloud for I2INF Framework

                                  Central Cloud
                   *******************************************
                 *                                             *
                *              +------------------+             *
               *               | Cloud Controller |              *
               *               +------------------+              *
               *                         ^                       *
                *                        |                      *
                 *                       v                     *
                   *******************************************
                    ^                   ^                    ^
                    |                   |                    |
                    V                   V                    V
              +-----------+       +-----------+        +-----------+
              |Edge-Cloud1|       |Edge-Cloud2|        |Edge-Cloud3|
              +-----------+       +-----------+        +-----------+
                    ^                   ^                    ^
                    |                   |                    |
                    V                   V                    V
               +---------+         +---------+         +---------+
               | IP-RSU1 |<------->| IP-RSU2 |<------->| IP-RSU3 |
               +---------+         +---------+         +---------+
                    ^                   ^                    ^
                    :                   :                    :
           +-----------------+ +-----------------+   +-----------------+
           |        : V2I    | |        : V2I    |   |       : V2I     |
           |        v        | |        v        |   |       v         |
+--------+ |   +--------+    | |   +--------+    |   |   +--------+    |
|   MO1  |===> |   MO2  |===>| |   |   MO3  |===>|   |   |   MO4  |===>|
+--------+<...>+--------+<........>+--------+    |   |   +--------+    |
           V2V     ^         V2V        ^        |   |        ^        |
           |       : V2V     | |        : V2V    |   |        : V2V    |
           |       v         | |        v        |   |        v        |
           |  +--------+     | |   +--------+    |   |    +--------+   |
           |  |   MO5  |===> | |   |   MO6  |===>|   |    |   MO7  |==>|
           |  +--------+     | |   +--------+    |   |    +--------+   |
           +-----------------+ +-----------------+   +-----------------+
                 Subnet1              Subnet2              Subnet3
                (Prefix1)            (Prefix2)            (Prefix3)

        <----> Wired Link   <....> Wireless Link   ===> Moving Direction

VNF-Consensus Architecture in Edge Cloud for I2INF Framework

                        Edge Cloud                      Central Cloud
        ******************************************        **********
       *                                          *     *            *
      *                                            *   * +----------+ *
      *  +---------------+   +-----------------+   *   * |  Cloud   | *
      *  | VNF-Consensus |<->| Edge Controller |<->*<->* |Controller| *
      *  +-------^-------+   +--------^--------+   *   * +----------+ *
      *          |                    |            *   *              *
       *         v                    V           *     *            *
        ******************************************        **********
        ^                    ^                    ^
        |                    |                    |
        V                    V                    V
+---------------+    +---------------+    +---------------+
|SDN-Controller1|    |SDN-Controller2|    |SDN-Controller3|
+---------------+    +---------------+    +---------------+
        ^                    ^                    ^
        |                    |                    |
        V                    V                    V
+---------------+    +---------------+    +---------------+
|   +-----+     |    |   +-----+     |    |   +-----+     |
|   | SW1 |     |    |   | SW3 |     |    |   | SW5 |     |
|   +---^-+     |    |   +---^-+     |    |   +---^-+     |
|       |       |    |       |       |    |       |       |
|     +-V---+   |    |     +-V---+   |    |     +-V---+   |
|     | SW2 |   |    |     | SW4 |   |    |     | SW6 |   |
|     +-----+   |    |     +-----+   |    |     +-----+   |
+---------------+    +---------------+    +---------------+
   SDN-Network1         SDN-Network2         SDN-Network3
     (Subnet1)            (Prefix2)            (Prefix3)

<----> Wired Link

Gap Analysis
In-Network Computing Functions (INCF) are proposed for various computing services in the area of COIN on top of network softwarization environments of NFV and SDN [I-D.irtf-coinrg-use-cases][NFV-COIN].
The COIN Use Cases Document in [I-D.irtf-coinrg-use-cases] proposes four kinds of use cases for In-Network Computing. Its use cases are (i) Providing New COIN Experiences, (ii) Supporting New COIN Systems, (iii) Improving Existing COIN Capabilities, and (iv) Enabling New COIN Capabilities.
1. For Providing New COIN Experiences, the document describes mobile application offloading and Extended Reality (XR) and immersive media.
2. For Supporting New COIN Systems, the document describes In-Network Control, Time-Sensitive Application, Large Volume Applications, and Industrial Safety.
3. For Improving Existing COIN Capabilities, the document describes Content Delivery Networks (CDN), Compute-Fabric-as-a-Service (CFaaS), and Virtual Networks Programming (e.g., P4 programs and OpenFlow rules).
4. For Enabling New COIN Capabilities, the document describes Distributed AI Training among distributed endpoints for large-scale problems.
The NFV-COIN Paper in [NFV-COIN] proposes three kinds of use cases for In-Network Computing. Its use cases are (i) NFV Failure Detection, (ii) Virtual Network Function (VNF) Consensus, and (iii) NFV Reliable Broadcast.
1. NFV Failure Detection is that an NFV-based failure detector gets monitoring data from SDN Switches via SDN Controller and detects the failure of communication links. This failure detector can work within the SDN Controller by sacrificing the performance (e.g., CPU usage) of the SDN Controller.
2. VNF Consensus is that a VNF-Consensus service performs the sychronization of the control planes of multiple SDN Controllers. This consensus service does not require any modification of both the data plane at SDN switches and SDN control plane (e.g., OpenFlow). Through the consensus service, if a new rule is configured by an SDN Controller, this rule is distributed to all the other SDN Controllers through the VNF-Consensus.
3. NFV Reliable Broadcast is that an NFV-based broadcast (NFV-RBCast) performs reliable and in-order delivery of broadcasted data packets. This reliable and in-order broadcast for applications is provisioned by NFV-RBCast using a VNF-Sequencer. A flow using the NFV-RBCast service lets a forwarding rule be installed at SDN Switches through an SDN Controller. All the packets of the flow are forwarded to the VNF-Sequencer via the SDN Controller. The VNF-Sequencer inserts a sequence number into each of those forwarded packets, and sends them to the destination hosts running an RBCast application.
Functionalities of each service needs to be decomposed into AFs and NFs in edge computing. The generation and configuration of those AFs and NFs are needed by a service coordinator for COIN-based network services. However, a framework and interfaces are missing and not standardized for the life cycle management for the COIN-based network services.

Intent-Based Networking
According to the life cycle design of IBN [RFC9315], Figure 3 shows the life cycle of an Intent-Based System (IBS) for the intent management for network entities and MOs. It divides the life cycle into three spaces, namely MO User Space, Translation & IBS Space, and Network Operations (Ops) & Application (App) Space. Each space is further divided into two sections, fulfillment and assurance. The fulfillment section pipelines the steps (i.e., intent input, translation/refinement, learning/planning/rendering, and configuration/provisioning) toward the final SFs such as Network Functions (NFs) and Application Functions (AFs) in MOs. The assurance section monitors final results of the intent fulfillment to validate and analyze the resulted NFs and applications for MOs.

The Life Cycle of IBS for Intent Management

        IBS User     :            Translation/          : Network Ops/
          Space      :             IBS Space            :  App Space
Fulfill              :                                  :
       +----------+  :  +------------+   +------------+ : +-----------+
       |Recognize/|---->| Translate/ |-->|   Learn/   |-->| Configure/|
       | Generate |  :  |   Refine   |   |   Plan/    | : | Provision |
       | Intent   |<----|            |   |   Render   | : |           |
       +----------+  :  +------------+   +------------+ : +-----------+
            ^        :                         ^        :       |
............|..................................|................|.....
            |        :                    +----------+  :       v
            |        :                    | Validate |  :  +----------+
            |        :                    +----^-----+<----| Monitor/ |
Assure      |        :                         |        :  | Observe  |
        +--------+   :  +----------+      +----------+<----|          |
        | Report |<-----| Abstract |<-----| Analyze/ |  :  +----------+
        +--------+   :  +----------+      | Aggregate|  :
                     :                    +----------+  :

The life cycle in Figure 3 is so conceptual for the implementation of an IBS. It needs to be concretized in the form of a framework with interfaces among components in the framework. The data models of an intent, a network policy, and an application policy should be specified by either YANG [RFC6020][RFC7950] or YAML [YAML] to make messages that will be delivered to target components via a message delivery protocol, such as NETCONF [RFC6241], RESTCONF [RFC8040], and REST API [REST].

Problem Statemet
The goal of an Intent-Based System (IBS) is to enforce the service corresponding to a user's intent with an appropriate application in a target network in terms of functionality and quality [RFC9315][RFC8329] [I-D.jeong-i2nsf-security-management-automation] [I-D.jeong-nmrg-ibn-network-management-automation]. To achieve this goal, first of all, an intent needs to be translated into both a network policy and an application policy by an intent translator [I-D.jeong-nmrg-ibn-network-management-automation] [I-D.yang-i2nsf-security-policy-translation]. Then these network policy and application policy needs to delivered to a network controller and an application controller, respectively. The network controller further translates the network policy into the network rules to be sent to the network entities (i.e., NFs). In the same way, the application controller further translates the application policy into the application rules to be sent to the application entities (i.e., AFs).
For the translation of either an intent or a policy, the capabilities of NFs and AFs should be registered with databases (e.g., NF database and AF database). Thus, a capability data model for such NFs and AFs should be specified in advance [I-D.ietf-i2nsf-capability-data-model]. Also, a registration interface is required for a vendor for either an NF or an AF to register its NF or AF with the corresponding database such as the NF database and the AF database, respectively [I-D.ietf-i2nsf-registration-interface-dm]. Therefore, a data model for this registration interface should be specified to make a registration message for the Vendor's Management System (VMS) [RFC8329].
An IBS user needs an interface to deliver its intent to an IBS controller (e.g.., Cloud Controller in Figure 1) having an intent translator, which translates the intent into a network policy and an application policy, and a dispatcher, which dispatches the policies to appropriate destinations (e.g, NF controller and AF controller). This interface is called a Customer-Facing Interface (CFI) for the IBS user [I-D.ietf-i2nsf-consumer-facing-interface-dm]. A data model for the Customer-Facing Interface should be specified.
Both an NF controller and an AF controller need an interface to deliver the network rules and the application rules to the appropriate NFs and the appropriate AFs, respectively. This interface is called a Service Function-Facing Interface (SFI) for both the NF controller and the AF controller [I-D.ietf-i2nsf-nsf-facing-interface-dm].
For the assurance of the intent in the target network and application, the collection and analysis of monitoring data from the NFs and AFs is required. A Monitoring Interface [I-D.ietf-i2nsf-nsf-monitoring-data-model] is an interface to collect monitoring data from either an NF or an AF to a data collector (e.g., IBS analyzer [I-D.lingga-i2nsf-analytics-interface-dm] [TS-23.288][TS-29.520]). For the further actions, the analysis results of the NF and the AF should be reported to the NF controller and the AF controller, respectively. An Analytics Interface is an interface to deliver analysis results to either an NF controller or an AF controller [I-D.lingga-i2nsf-analytics-interface-dm].
The data models for capability and interfaces can be contructed by either YANG [RFC6020][RFC7950] or YAML [YAML]. The message delivery protocol for the interfaces can be one among NETCONF [RFC6241], RESTCONF [RFC8040], and REST API [REST].

IANA Considerations
This document does not require any IANA actions.

Security Considerations
The same security considerations for the Interface to Network Security Functions (I2NSF) Framework [RFC8329] are applicable to the Intent-Based System this document.

Normative References

Informative References
[YAML]

Yet Another Markup Language (YAML) 1.0
B. Ingerson
C. Evans
O. Ben-Kiki
October 2023
Available: https://yaml.org/spec/history/2001-05-26.html
[TS-23.501]

System Architecture for the 5G System (5GS)
3GPP TS 23.501 V18.3.0
September 2023
Available: https://portal.3gpp.org/desktopmodules/Specifications/SpecificationDetails.aspx?specificationId=3144
[TS-28.312]

Intent Driven Management Services for Mobile Networks
3GPP TS 28.312 V18.1.1
September 2023
Available: https://portal.3gpp.org/desktopmodules/Specifications/SpecificationDetails.aspx?specificationId=3554
[TR-28.812]

Study on Scenarios for Intent Driven Management Services for Mobile Networks
3GPP TR 28.812 V17.1.0
December 2020
Available: https://portal.3gpp.org/desktopmodules/Specifications/SpecificationDetails.aspx?specificationId=3553
[TS-23.288]

Architecture Enhancements for 5G System (5GS) to Support Network Data Analytics Services
3GPP TS 23.288 V18.3.0
September 2023
Available: https://portal.3gpp.org/desktopmodules/Specifications/SpecificationDetails.aspx?specificationId=3579
[TS-29.520]

Network Data Analytics Services
3GPP TS 29.520 V18.3.0
September 2023
Available: https://portal.3gpp.org/desktopmodules/Specifications/SpecificationDetails.aspx?specificationId=3355
[ETSI-NFV]

Network Functions Virtualisation (NFV); Architectural Framework
ETSI GS NFV 002 V1.2.1
December 2014
Available: https://www.etsi.org/deliver/etsi_gs/nfv/001_099/002/01.02.01_60/gs_nfv002v010201p.pdf
[ETSI-NFV-Release-2]

Network Functions Virtualisation (NFV) Release 2; Management and Orchestration; Architectural Framework Specification
ETSI GS NFV 006 V2.1.1
January 2021
Available: https://www.etsi.org/deliver/etsi_gs/nfv/001_099/006/02.01.01_60/gs_nfv006v020101p.pdf
[NFV-COIN]

NFV-COIN: Unleashing The Power of In-Network Computing with Virtualization Technologies
G. Venancio
R. Turchetti
E. Duarte Jr.
December 2022
SBC Journal of Internet Services and Applications
Available: https://journals-sol.sbc.org.br/index.php/jisa/article/view/2342
[REST]

Principled Design of the Modern Web Architecture
R. Fielding
R. Taylor
May 2002
ACM Transactions on Internet Technology, Vol. 2, Issue 2,
Available: https://dl.acm.org/doi/10.1145/514183.514185
[USENIX-ATC-Lumi]

Hey, Lumi! Using Natural Language for Intent-Based Network Management
A. Jacobs
R. Pfitscher
R. Ribeiro
R. Ferreira
L. Granville
W. Willinger
S. Rao
July 2021
USENIX Annual Technical Conference
Available: https://www.usenix.org/conference/atc21/presentation/jacobs
[BERT]

BERT: Pre-training of Deep Bidirectional Transformers for Language Understanding
J. Devlin
M. Chang
K. Lee
K. Toutanova
June 2019
NAACL-HLT Conference
Available: https://aclanthology.org/N19-1423.pdf
[Deep-Learning]

Deep Learning
I. Goodfellow
Y. Bengio
A. Courville
November 2016
Publisher: The MIT Press
Available: https://www.deeplearningbook.org/
[AUTOSAR-SDV]

AUTOSAR Adaptive Platform
AUTOSAR
March 2024
Available: https://www.autosar.org/standards/adaptive-platform
[Eclipse-SDV]

Eclipse Software Defined Vehicle Working Group Charter
Eclipse
March 2024
Available: https://www.eclipse.org/org/workinggroups/sdv-charter.php
[COVESA]

Connected Vehicle Systems Alliance
COVESA
March 2024
Available: https://covesa.global/
[Kubernetes]

Kubernetes: Cloud Native Computing Platform
Kubernetes
March 2024
Available: https://kubernetes.io/
[Survey-IBN-CST-2023]

A Survey on Intent-Based Networking
A. Leivadeas
M. Falkner
March 2023
Available: https://ieeexplore.ieee.org/document/9925251
[RFC7149]
[RFC9315]
[I-D.jeong-nmrg-ibn-network-management-automation]
[I-D.irtf-coinrg-use-cases]
[I-D.irtf-coinrg-coin-terminology]
[RFC8329]
[I-D.ietf-i2nsf-applicability]
[I-D.jeong-i2nsf-security-management-automation]
[I-D.yang-i2nsf-security-policy-translation]
[RFC6020]
[RFC7950]
[RFC6241]
[RFC8040]
[I-D.ietf-i2nsf-capability-data-model]
[I-D.ietf-i2nsf-registration-interface-dm]
[I-D.ietf-i2nsf-consumer-facing-interface-dm]
[I-D.ietf-i2nsf-nsf-facing-interface-dm]
[I-D.ietf-i2nsf-nsf-monitoring-data-model]
[I-D.lingga-i2nsf-analytics-interface-dm]

Acknowledgments
This work was supported by Institute of Information & Communications Technology Planning & Evaluation (IITP) grant funded by the Korea Ministry of Science and ICT (MSIT) (No. RS-2024-00398199).
This work was supported in part by Institute of Information & Communications Technology Planning & Evaluation (IITP) grant funded by the Korea Ministry of Science and ICT (MSIT) (No. 2022-0-01015, Development of Candidate Element Technology for Intelligent 6G Mobile Core Network).

Contributors
This document is made by the group effort of OPWAWG, greatly benefiting from inputs and texts by Linda Dunbar (Futurewei), Yong-Geun Hong (Daejeon University), and Joo-Sang Youn (Dong-Eui University). The authors sincerely appreciate their contributions.
The following are coauthors of this document:
Mose Gu
Department of Computer Science & Engineering
Sungkyunkwan University
2066 Seobu-Ro, Jangan-Gu
Suwon
Gyeonggi-Do
16419
Republic of Korea
+82 31 299 4106
rna0415@skku.edu
http://iotlab.skku.edu/people-Moses-Gu.php
Juwon Hong
Department of Computer Science & Engineering
Sungkyunkwan University
2066 Seobu-Ro, Jangan-Gu
Suwon
Gyeonggi-Do
16419
Republic of Korea
+82 31 299 4106
hongju2024@skku.edu
http://iotlab.skku.edu/people-Joo-Won-Hong.php